Busca exportações de folha de pagamento
curl --request GET \
--url https://api.example.com/payment-sheet/exportconst options = {method: 'GET'};
fetch('https://api.example.com/payment-sheet/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/payment-sheet/export"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/payment-sheet/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"pagina": 0,
"total": 5,
"unidades": [
{
"id": "123-abc",
"competence": "07/2024",
"startDate": "01/07/2024",
"endDate": "31/07/2024",
"source": "KEEVO NG FOLHA",
"status": "PENDING",
"layoutId": "123-456abc",
"collaborators": 10,
"paymentSheets": [
{
"collaborator": {
"id": "123-456abc",
"code": 7,
"name": "Fulano de Tal",
"documentNumber": "15621118054",
"internalRegistration": "49172594718",
"photo": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg",
"businessUnit": {
"id": "123-456abc",
"name": "Fulano de Tal",
"documentNumber": "15621118054",
"documentNumberType": "CNPJ",
"complementaryRegistration": "15621118054",
"complementaryRegistrationType": "CNPJ",
"photo": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg"
}
},
"status": "PENDING",
"events": [
{
"id": "123-abc",
"code": "250087",
"description": "Keevo NG Folha",
"measurementUnit": "Horas",
"numericValue": 480,
"stringValue": "8:00",
"dates": [
"2024-07-22T00:00:00.000Z",
"2024-07-23T00:00:00.000Z"
],
"tron": {},
"advancedPercentage": "50%"
}
]
}
],
"base64": "dGVzdA=="
}
],
"limite": 10
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Payment Sheet
Busca exportações de folha de pagamento
GET
/
payment-sheet
/
export
Busca exportações de folha de pagamento
Query Parameters
Texto pesquisado para filtrar consulta
Página que deseja retornar os resultados
Example:
0
Quantidade de itens que retorna na consulta. Min 1 - Max 100
Example:
100
Competência da exportação de folha de pagamento
Example:
"07/2024"
Status da exportação
Available options:
PENDING, PROCESSED, PROCESSING Nome da fonte do parâmetro de folha de pagamento (busca exata)
Example:
"Keevo"
Response
Exportações de folha de pagamento